Technology Insights

How to Install a Ruby Gem Server

There are numerous reasons it is beneficial to have your own gem server including controlling the versions of various gems deployed to all of your servers. Below is a brief explanation of how to install a gem server on your local network.

1. Install Web Server: If you do not already have a web server installed then install LiteSpeed or Apache

Technology Errors

gem install data_fabric ERROR: Error installing data_fabric: data_fabric requires RubyGems version = 1.2

When initially attempting to install the data_fabric gem I was getting the below error. Error: gem install data_fabric ERROR: Error installing data_fabric: data_fabric requires RubyGems version = 1.2 It is possible to get this error if you have upgraded to rubygems 1.3 and you are attempting to install data_fabric (version: 1.0.1 or below). If you…